# useGetMultipleEscrowBalances

## Usage

This custom hook exposes a function to get the balances that you are looking obtain.

{% code overflow="wrap" %}

```typescript
import { useGetMultipleEscrowBalances } from "@trustless-work/escrow/hooks";
import { GetBalanceParams } from "@trustless-work/escrow/types";

/*
 *  useGetEscrow
*/
const { getMultipleBalances } = useGetMultipleEscrowBalances();

/* 
 * It returns the balances of the escrows
 * payload should be of type `GetBalanceParams`
*/
await getMultipleBalances(payload);
```

{% endcode %}

### Function

* `getMultipleBalances`\
  Responsible for building and returning data based on the provided payload.

*Argument:*

`GetBalanceParams` : An object containing the required fields to get the balances.

{% content-ref url="/pages/asSE3xHvmlDvPjYqGsRm" %}
[Get Balances](/trustless-work/v2-en/introduction/developer-resources/types/payloads/get-balances.md)
{% endcontent-ref %}

*Return Value:*

`balances`: The balances that you are looking for.

***

## Usage ExampleForm

{% code title="src/hooks/useGetMultipleEscrowBalances.ts" overflow="wrap" %}

```typescript
import {
  useGetMultipleEscrowBalances,
} from "@trustless-work/escrow/hooks";
import {
  GetBalanceParams, 
} from "@trustless-work/escrow/types";

export const useGetMultipleEscrowBalancesForm = () => {

 /*
  *  useGetMultipleEscrowBalances
 */
 const { getMultipleBalances } = useGetMultipleEscrowBalances();

/*
 * onSubmit function, this could be called by form button
*/
 const onSubmit = async (payload: GetBalanceParams) => {

    try {
      /**
       * API call by using the trustless work hooks
       * @Note:
       * - We need to pass the payload to the getMultipleBalances function
       * - The result will be balances
      */
      const { balances } = await getMultipleBalances(payload);
      
      if (!balances) {
        throw new Error("Balances not found");
      }

      /**
       * @Responses:
       * balances !== null
       * - Balances received successfully
       * - Show a success toast
       *
       * balances === null
       * - Show an error toast
       */
      if (balances) {
        toast.success("Balances Received");
      }
    } catch (error: unknown) {
      // catch error logic
    }
  };
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/indexer/usegetmultipleescrowbalances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
